> # NAME

> cgD3D9RegisterStates - registers graphics pass states for CgFX files

> # SYNOPSIS

>       #include <Cg/cgD3D9.h>

>       void cgD3D9RegisterStates( CGcontext context );

> # PARAMETERS

> context

>   The context in which to register the states.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgD3D9RegisterStates registers a set of states for passes in techniques in CgFX effect files. These states correspond to the set of D3D states that is relevant and/or useful to be set in passes in effect files. See the Cg User's Guide for complete documentation of the states that are made available after calling cgD3D9RegisterStates.

> # EXAMPLES

>       // register D3D9 states for this context

>       CGcontext = cgCreateContext();
>       cgD3D9RegisterStates(context);

> # ERRORS

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> # HISTORY

> cgD3D9RegisterStates was introduced in Cg 1.5.

> Starting with Cg 2.2, when cgD3D9RegisterStates creates program states it calls cgSetStateLatestProfile to register the latest profile for the appropriate program domain. The latest profile value is determined via cgD3D9GetLatestVertexProfile or cgD3D9GetLatestPixelProfile

> # SEE ALSO

> cgCreateState, cgSetStateLatestProfile, cgSetPassState, cgResetPassState, cgCallStateValidateCallback, cgGLRegisterStates, cgD3D10RegisterStates